// Code generated by MockGen. DO NOT EDIT.
// Source: ./http/router.go

// Package mock is a generated GoMock package.
package mock

import (
	linkregister "linkregister"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockTokenGenerator is a mock of TokenGenerator interface.
type MockTokenGenerator struct {
	ctrl     *gomock.Controller
	recorder *MockTokenGeneratorMockRecorder
}

// MockTokenGeneratorMockRecorder is the mock recorder for MockTokenGenerator.
type MockTokenGeneratorMockRecorder struct {
	mock *MockTokenGenerator
}

// NewMockTokenGenerator creates a new mock instance.
func NewMockTokenGenerator(ctrl *gomock.Controller) *MockTokenGenerator {
	mock := &MockTokenGenerator{ctrl: ctrl}
	mock.recorder = &MockTokenGeneratorMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockTokenGenerator) EXPECT() *MockTokenGeneratorMockRecorder {
	return m.recorder
}

// GenerateLinkToken mocks base method.
func (m *MockTokenGenerator) GenerateLinkToken() linkregister.LinkToken {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GenerateLinkToken")
	ret0, _ := ret[0].(linkregister.LinkToken)
	return ret0
}

// GenerateLinkToken indicates an expected call of GenerateLinkToken.
func (mr *MockTokenGeneratorMockRecorder) GenerateLinkToken() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GenerateLinkToken", reflect.TypeOf((*MockTokenGenerator)(nil).GenerateLinkToken))
}
